#include <sdpsl.h>

using namespace sdp;

int main()
{
  Matrix<int> A(5);  // A 5x5 matrix of integers
  const Matrix<int>& B = A;  // A constant reference to it

  shared_ref<Matrix<int> > ref1(A);         // Takes a reference
  shared_ref<Matrix<int> > ref2(B);         // Error: a shared reference needs a non-const argument!
  const_shared_ref<Matrix<int> > cref1(A);  // ok
  const_shared_ref<Matrix<int> > cref2(B);  // ok

  (*ref1)[0][0] = 1;    // Changes also A
  (*cref1)[0][0] = 1;   // Error
  
  cout << (*cref2)[0][0] << endl;  // Prints 1

  // Shared references can even be taken of temporaries
  shared_ref<Matrix<int> > ref3(Matrix<int>::identity(5));

  return 0;
}
