/*
  polybasic.cpp

  Basic manipulation of polynomials.

  Copyright (c) 2014 Fernando M. de Oliveira Filho
  <http://www.ime.usp.br/~fmario>
  
  This file is part of SDPSL.
  
  SDPSL is free software: you can redistribute it and/or modify it under
  the terms of the GNU General Public License as published by the Free
  Software Foundation, either version 3 of the License, or (at your
  option) any later version.
  
  SDPSL is distributed in the hope that it will be useful, but WITHOUT
  ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
  FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
  for more details.
  
  You should have received a copy of the GNU General Public License
  along with SDPSL.  If not, see <http://www.gnu.org/licenses/>.
*/
#include <sdpsl.h>

using namespace std;
using namespace sdp;

int main()
{
  PolynomialVariable x("x");
  PolynomialVariable y("y");
  
  Monomial mon = Monomial(x(2)) * Monomial(y(3));
  Polynomial p = (x + 1) * (x + 2);
  Polynomial q = x(3) * (y(-2) + 3);
  Polynomial r = p * q;

  /* Finds out the maximum exponent of variable x in r, and the
     maximum coefficient of any monomial
  */
  int max_exp = 0;
  double max_coeff = 0;

  for (auto& s : r) {
    if (max_exp < s.first[x]) max_exp = s.first[x];
    if (max_coeff < s.second) max_coeff = s.second;
  }

  cout << "For the polynomial r = " << r << ":" << endl;
  cout << "  Maximum degree of x = " << max_exp << endl;
  cout << "  Maximum coefficient = " << max_coeff << endl;

  return 0;
}
