/*
  progress.cpp

  Progress bar example.

  Copyright (c) 2014 Fernando M. de Oliveira Filho
  <http://www.ime.usp.br/~fmario>
  
  This file is part of SDPSL.
  
  SDPSL is free software: you can redistribute it and/or modify it under
  the terms of the GNU General Public License as published by the Free
  Software Foundation, either version 3 of the License, or (at your
  option) any later version.
  
  SDPSL is distributed in the hope that it will be useful, but WITHOUT
  ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
  FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
  for more details.
  
  You should have received a copy of the GNU General Public License
  along with SDPSL.  If not, see <http://www.gnu.org/licenses/>.
*/

#include <cstdlib>
#include <iostream>
#include <sdpsl.h>

using namespace std;
using namespace sdp;

/*
  main
*/
int main(int argc, char **argv)
{
  int max;

  if (argc <= 1 || (max = atoi(argv[1])) < 0) {
    cerr << "Usage: " << argv[0] << " <maximum progress value>" << endl;
    exit(-1);
  }

  ProgressBar bar("Counting", 40, max);

  bar.start();

  for (int i = 0; i < max; i++)
    ++bar;

  bar.finish();

  return 0;  
}
