/*!
  \file mpfsdpsl.h

  \brief Header file for the GMP version of the library.

  Copyright (c) 2014 Fernando M. de Oliveira Filho
  <http://www.ime.usp.br/~fmario>
  
  This file is part of SDPSL.
  
  SDPSL is free software: you can redistribute it and/or modify it under
  the terms of the GNU General Public License as published by the Free
  Software Foundation, either version 3 of the License, or (at your
  option) any later version.
  
  SDPSL is distributed in the hope that it will be useful, but WITHOUT
  ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
  FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
  for more details.
  
  You should have received a copy of the GNU General Public License
  along with SDPSL.  If not, see <http://www.gnu.org/licenses/>.
*/

#ifndef __MPFSDPSL_H__
#define __MPFSDPSL_H__

#define __MPF_BUILD__

/*!
  \brief Namespace for the double-precision version of the library.
*/
namespace mpf_sdp { }

#include <sdpsl/matrix.h>
#include <sdpsl/matrixmask.h>
#include <sdpsl/monomial.h>
#include <sdpsl/number.h>
#include <sdpsl/polyerror.h>
#include <sdpsl/polynomial.h>
#include <sdpsl/polyvar.h>
#include <sdpsl/sdpawriter.h>
#include <sdpsl/sdpcon.h>
#include <sdpsl/sdpenv.h>
#include <sdpsl/sdperror.h>
#include <sdpsl/sdplin.h>
#include <sdpsl/sdplincons.h>
#include <sdpsl/sdppol.h>
#include <sdpsl/sdppolcons.h>
#include <sdpsl/sdpproblem.h>
#include <sdpsl/sdpprogress.h>
#include <sdpsl/progbar.h>
#include <sdpsl/sdpvar.h>
#include <sdpsl/sparsecoeff.h>
#include <sdpsl/tensor.h>
#include <sdpsl/tensortemp.h>
#include <sdpsl/vectormask.h>
#include <sdpsl/sparsemon.h>
#include <sdpsl/sparsechanger.h>
#include <sdpsl/linsys.h>
#include <sdpsl/laguerre.h>
#include <sdpsl/outmatrix.h>
#include <sdpsl/sdpvarmap.h>
#include <sdpsl/sdpsolution.h>
#include <sdpsl/csdpreader.h>
#include <sdpsl/analyzer.h>

#endif

// Local variables:
// mode: c++
// End:
