#
# Environment & co.
#

# Copyright (c) 2014 Fernando M. de Oliveira Filho
# <http://www.ime.usp.br/~fmario>
# 
# This file is part of SDPSL.
# 
# SDPSL is free software: you can redistribute it and/or modify it under
# the terms of the GNU General Public License as published by the Free
# Software Foundation, either version 3 of the License, or (at your
# option) any later version.
# 
# SDPSL is distributed in the hope that it will be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
# FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
# for more details.
# 
# You should have received a copy of the GNU General Public License
# along with SDPSL.  If not, see <http://www.gnu.org/licenses/>.

class SDPEnvironment:
    gmp_prec = 53
    output_eps = 1e-15
    tolerance_eps = 1e-15

    
def sdpsl_set_gmp_prec(prec):
    """
    sdpsl_set_gmp_prec(prec)
    
    Set the default precision of GMP in SDPSL to the given value.
    """
    SDPEnvironment.gmp_prec = prec
    set_gmp_prec(prec)

    
def sdpsl_set_output_eps(eps):
    """
    sdpsl_set_output_eps(eps)
    
    Set the value of environment parameter ``output_eps``.
    """
    SDPEnvironment.output_eps = eps
    set_output_eps(eps)

    
def sdpsl_set_tolerance_eps(eps):
    """
    sdpsl_set_tolerance_eps(eps)
    
    Set the value of environment parameter ``tolerance_eps``.
    """
    SDPEnvironment.tolerance_eps = eps
    set_tolerance_eps(eps)
   
    
# Local variables:
# mode: python
# End:
