/*
  polyvar.cpp

  Copyright (c) 2014 Fernando M. de Oliveira Filho
  <http://www.ime.usp.br/~fmario>
  
  This file is part of SDPSL.
  
  SDPSL is free software: you can redistribute it and/or modify it under
  the terms of the GNU General Public License as published by the Free
  Software Foundation, either version 3 of the License, or (at your
  option) any later version.
  
  SDPSL is distributed in the hope that it will be useful, but WITHOUT
  ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
  FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
  for more details.
  
  You should have received a copy of the GNU General Public License
  along with SDPSL.  If not, see <http://www.gnu.org/licenses/>.
*/

#include <sdpsl/polyvar.h>
#include <sdpsl/polyerror.h>

using namespace std;

#ifdef __MPF_BUILD__
namespace mpf_sdp {
#else
namespace sdp {
#endif

//
// Static variables
//
vector<string> PolynomialVariable::variable_names;

//
// Method definition
//

PolynomialVariable::PolynomialVariable(int i)
{
  if (i < 0 || i >= variable_names.size())
    throw PolyError::InvalidVariable();

  _idx = i;
}

PolynomialVariable PolynomialVariable::new_variable(const string& name)
{
  variable_names.push_back(name);
  
  return PolynomialVariable(variable_names.size() - 1);
}

}  // namespace
